EDIT - bug #7831

VALIDATE_AGAINST_HIGHER_NAME_PART specific epithet name is not exluded when changing
species to subspecies

10/17/2018 01:02 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.4

Severity: major Found in Version:

Description

Example:

Species Navicula bahusiensis being edited in TaxonNamePopupeditor with mode VALIDATE_AGAINST_HIGHER_NAME_PART
(was originally implemented in #7338)

Chaning the rank to subspecies will correctly change the specific epithet field to a combobox. But the epithet bahusiensis is
selectable even if the name will no longer exist as species once the editor is saved.

The same problem might also exist for genera
Soulution:

e exclude the name being edited from the results in the comboboxes.

Associated revisions

Revision efc5d1e3 - 10/17/2018 04:16 PM - Andreas Kohlbecker

ref #7831 adding name exlude filter to TaxonNamePartsFilter

Revision db1db901 - 10/17/2018 04:17 PM - Andreas Kohlbecker

fix #7831 excluding the current name from the WeaklyRelatedEntityCombobox for genus name and specific epithet

Revision 2ac69f0c - 10/22/2018 05:40 PM - Andreas Kohlbecker

ref #7831 using uuids in findTaxonNameParts() methods as name exclude filter

Revision f57aebc4 - 10/23/2018 11:41 AM - Andreas Kohlbecker

ref #7831 using uuids in findTaxonNameParts() methods as name exclude filter - NPE fix

History

#1 -10/17/2018 04:17 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|db1db90169123bf1cb0ef824211fc0cdd6c33df0.

#2-10/22/2018 11:10 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

fully solved
